#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
###
### all_rules.mk
###

# XXX combine all_* and janos_*

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk
include $(MAKEFILES_DIR)/oskit_vars.mk
include $(MAKEFILES_DIR)/moab_vars.mk
include $(MAKEFILES_DIR)/janosvm_vars.mk
include $(MAKEFILES_DIR)/jnodeos_vars.mk
include $(MAKEFILES_DIR)/antsr_vars.mk

.PHONY: mkdebug all-mkdebug

config depend all install check:
	@echo "ERROR: please run '$@' on each component individually."
	@false

mkdebug: all-mkdebug $(addsuffix _mkdebug, $(COMPONENTS))

all-mkdebug:
	@echo "COMPONENTS        = '$(COMPONENTS)'"
	@echo "WAY               = '$(WAY)'"
	@echo "MK_VERBOSE        = '$(MK_VERBOSE)'"
	@echo "MK_PARALLEL       = '$(MK_PARALLEL)'"
	@echo "MAKE              = '$(MAKE)'"
	@echo "std_MAKE_PARALLEL = '$(std_MAKE_PARALLEL)'"
	@echo "std_MAKE_QUIET    = '$(std_MAKE_QUIET)'"
	@echo "std_oskit_included  = '$(std_oskit_included)'"
	@echo "std_moab_included   = '$(std_moab_included)'"
	@echo "std_janosvm_included= '$(std_janosvm_included)'"
	@echo "--"

#eof
