#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## A convenience makefile for constructing/configuring ANTSR
##

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk
include $(MAKEFILES_DIR)/janos_vars.mk
include $(MAKEFILES_DIR)/janosvm_vars.mk
include $(MAKEFILES_DIR)/jnodeos_vars.mk
include $(MAKEFILES_DIR)/antsr_vars.mk

## Check that the JanosVM standard class files and JNODEOS class files
## are visible before configuring or building ANTSR

config: $(janosvm_CLASSES_JAR) $(jnodeos_CLASSES_JAR)

all: $(janosvm_CLASSES_JAR) $(jnodeos_CLASSES_JAR)

doc:
	$(MAKE) -C $(antsr_OBJ_DIR) documentation

check: $(janosvm_CLASSES_JAR) $(jnodeos_CLASSES_JAR)
	$(MAKE) -C $(antsr_OBJ_DIR) check \
		JANOS_BUILD=$(WAY) \
		JANOS_NODEOS=$(jnodeos_BACKEND)  \
		JAVA=$(janos_ANTSR)

scripts:
	@echo "no scripts"

mkdebug::
	@echo "antsr_CLASSES_JAR = $(antsr_CLASSES_JAR)"

.PHONY: config all doc check scripts

component=antsr
include $(MAKEFILES_DIR)/std_rules.mk

#eof
