#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
###
### antsr_vars.mk
###

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk
include $(MAKEFILES_DIR)/janosvm_vars.mk
include $(MAKEFILES_DIR)/jnodeos_vars.mk

antsr_OBJ_DIR=$(OBJ_DIR)/antsr-$(jnodeos_BACKEND)-$(WAY)
antsr_INSTALL_DIR=$(INSTALL_DIR)/antsr-$(jnodeos_BACKEND)-$(WAY)

antsr_CONFIGSCRIPT=$(antsr_SRC_DIR)/configure
antsr_CONFIGOPTS=--prefix=$(antsr_INSTALL_DIR) \
	--with-jnodeos=$(jnodeos_CLASSES_JAR) \
	--with-classpath=$(janosvm_CLASSES_JAR)

# Don't know if jar or zip was created... just guess!
antsr_CLASSES_JAR=$(firstword $(wildcard $(antsr_INSTALL_DIR)/share/java/classes/ants.*))
antsr_CLASSESAPPS_JAR=$(firstword $(wildcard $(antsr_OBJ_DIR)/src/apps.*))
antsr_CLASSESTESTS_JAR=$(firstword $(wildcard $(antsr_OBJ_DIR)/src/tests.*))

#eof
