#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## click_vars.mk
##

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk
include $(MAKEFILES_DIR)/oskit_vars.mk
include $(MAKEFILES_DIR)/moab_vars.mk

## Control config for each WAY
ifeq ($(WAY),debug)
click_WAY_CONFIGOPTS=
click_CONFIGENV=
else
ifeq ($(WAY),optimized)
click_WAY_CONFIGOPTS=
click_CONFIGENV=CFLAGS='-O4'
else
ifeq ($(WAY),profile)
click_WAY_CONFIGOPTS=
click_CONFIGENV=CFLAGS='-O4'
endif
endif
endif

click_HOST=oskitmoab

click_HOST_CONFIGOPTS=--with-oskit=$(oskit_INSTALL_DIR) \
		--with-nodeos=$(moab_SRC_DIR) \
		--disable-radio --disable-stride

click_OBJ_DIR=$(OBJ_DIR)/click-$(click_HOST)-$(WAY)
click_INSTALL_DIR=$(INSTALL_DIR)/click-$(click_HOST)-$(WAY)
click_CONFIGOPTS=$(click_WAY_CONFIGOPTS) --prefix=$(click_INSTALL_DIR) $(click_HOST_CONFIGOPTS)

#eof
