#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
###
### jnodeos_vars.mk
###

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk

ifeq ($(std_moab_included),yes)
jnodeos_BACKEND=moab
else
jnodeos_BACKEND=pj
endif

jnodeos_BUILDOPT=-$(jnodeos_BACKEND) -$(WAY)

jnodeos_OBJ_DIR=$(OBJ_DIR)/jnodeos-$(jnodeos_BACKEND)
jnodeos_INSTALL_DIR=$(INSTALL_DIR)/jnodeos-$(jnodeos_BACKEND)

ifeq ($(std_janosvm_included),yes)
jnodeos_CONFIGOPT_JVM=--janosvm=$(janosvm_JANOSVM_JAR)
else
# Jnodeos will default to its emulib -- $(jnodoes_SRC_DIR)/classes/emuJanosVM.jar
jnodeos_CONFIGOPT_JVM=
endif

jnodeos_CONFIGSCRIPT=$(jnodeos_SRC_DIR)/configure
jnodeos_CONFIGOPTS=--installto=$(jnodeos_INSTALL_DIR) \
	--classpath=$(janosvm_CLASSES_JAR) \
	$(jnodeos_CONFIGOPT_JVM)

## jnodeos doesn't use 'make'.  Use build script.
jnodeos_BUILDTOOL=$(jnodeos_OBJ_DIR)/build $(jnodeos_BUILDOPT)

# Don't know if jar or zip was created... just guess!
jnodeos_CLASSES_JAR=$(firstword $(wildcard \
	$(jnodeos_INSTALL_DIR)/share/jnodeos/jnodeos-$(jnodeos_BACKEND)-$(WAY).*))
jnodeos_CLASSESTESTS_JAR=$(firstword $(wildcard \
	$(jnodeos_OBJ_DIR)/classes-$(jnodeos_BACKEND)-$(WAY)/jnodeostests-$(jnodeos_BACKEND)-$(WAY).*))

#eof
