#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## moab_vars.mk
##

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk

## Control config for each WAY
ifeq ($(WAY),debug)
moab_WAY_CONFIGOPTS=--enable-debug #--enable-profiling
moab_CONFIGENV=
else
ifeq ($(WAY),optimized)
moab_WAY_CONFIGOPTS=--disable-debug #--enable-profiling
moab_CONFIGENV=CFLAGS='-O4'
else
ifeq ($(WAY),profile)
moab_WAY_CONFIGOPTS=--disable-debug --enable-profiling
moab_CONFIGENV=CFLAGS='-O4'
endif
endif
endif

## XXX make these options public (part of user-level component configuration)!
ifeq ($(moab_HOST),oskitunix)
moab_MISC_CONFIGOPTS=--enable-filesystem --enable-chan_eth --disable-chan_clock --enable-chan_socket 
else
ifeq ($(moab_HOST),oskit)
moab_MISC_CONFIGOPTS=--enable-filesystem --enable-chan_eth --disable-chan_clock --disable-chan_socket 
else
moab_MISC_CONFIGOPTS=--enable-filesystem --disable-chan_eth --disable-chan_clock --enable-chan_socket 
endif
endif

## Control config for each moab_HOST
ifeq ($(moab_HOST),oskit)
moab_HOST_CONFIGOPTS=--with-oskit=$(oskit_INSTALL_DIR) \
	--host=i386-oskit \
	--build=`$(moab_SRC_DIR)/autoconf/config.guess`
else
ifeq ($(moab_HOST),oskitunix)
moab_HOST_CONFIGOPTS=--with-oskit=$(oskit_INSTALL_DIR) \
	--host=i386-oskitunix \
	--build=`$(moab_SRC_DIR)/autoconf/config.guess`
else
ifeq ($(moab_HOST),unix)
moab_HOST_CONFIGOPTS=
endif
endif
endif

ifeq ($(std_click_included),yes)
moab_CLICK_DIRMUNGE=-click
moab_CLICK_CONFIGOPT=--with-click=$(click_INSTALL_DIR)
else
moab_CLICK_DIRMUNGE=
moab_CLICK_CONFIGOPT=
endif

moab_OBJ_DIR=$(OBJ_DIR)/moab-$(moab_HOST)$(moab_CLICK_DIRMUNGE)-$(WAY)
moab_INSTALL_DIR=$(INSTALL_DIR)/moab-$(moab_HOST)$(moab_CLICK_DIRMUNGE)-$(WAY)
moab_CONFIGOPTS=$(moab_WAY_CONFIGOPTS) \
	--prefix=$(moab_INSTALL_DIR) \
	$(moab_HOST_CONFIGOPTS) \
	$(moab_MISC_CONFIGOPTS) \
	$(moab_CLICK_CONFIGOPT)

#eof
