#
# Copyright (c) 2001, 2002 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## A convenience makefile for constructing/configuring the Flux OSKit
##

include $(MAKEFILES_DIR)/oskit_vars.mk

$(oskit_CONFIGSCRIPT): $(oskit_SRC_DIR)/configure.in
	@echo "*** OSKit's configure is out of date, trying to rebuild it ***"
	@ls -la $(oskit_SRC_DIR)/configure.in
	-@ls -la $(oskit_SRC_DIR)/configure
	cd $(oskit_SRC_DIR) && autoconf

bmod:
	@if test -z "$(BMOD_PROG)"; then \
		echo "Must define BMOD_PROG as example to put in bmod"; exit 1; fi
	@if test ! -f "$(oskit_OBJ_DIR)/examples/$(BMOD_PROG)"; then \
		echo "BMOD_PROG=$(BMOD_PROG) is not an available example kernel."; exit 1; fi
	@mkmb2 -o $(oskit_INSTALL_DIR)/Image $(oskit_OBJ_DIR)/examples/$(BMOD_EE)
	@echo "Created $(oskit_INSTALL_DIR)/Image"


component:=oskit
include $(MAKEFILES_DIR)/std_rules.mk

#eof
