#
# Copyright (c) 2001 The University of Utah and the Flux Group.
# All rights reserved.
#
# This file is part of the Janos Meta-Makefiles software.
# 
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation is hereby granted without fee, provided that the above
# copyright notice and this permission/disclaimer notice is retained in all
# copies or modified versions, and that both notices appear in supporting
# documentation.  THE COPYRIGHT HOLDERS PROVIDE THIS SOFTWARE "AS IS" AND
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE.  THE COPYRIGHT HOLDERS DISCLAIM ANY LIABILITY OF ANY KIND FOR
# ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
# 
# Users are requested, but not required, to send to csl-dist@cs.utah.edu any
# improvements that they make and grant Univ. of Utah redistribution rights.
#
##
## oskit_vars.mk
##

include $(CONFIG_FILE)
include $(MAKEFILES_DIR)/std_vars.mk

ifeq ($(WAY),debug)
oskit_WAY_CONFIGOPTS=--enable-debug
else
ifeq ($(WAY),optimized)
oskit_WAY_CONFIGOPTS=--disable-asserts
else
ifeq ($(WAY),profile)
oskit_WAY_CONFIGOPTS=--enable-profiling
endif
endif
endif

oskit_OBJ_DIR=$(OBJ_DIR)/oskit-$(WAY)
oskit_INSTALL_DIR=$(INSTALL_DIR)/oskit-$(WAY)

oskit_CONFIGSCRIPT=$(oskit_SRC_DIR)/configure
oskit_CONFIGOPTS=$(oskit_WAY_CONFIGOPTS) --prefix=$(oskit_INSTALL_DIR)

#eof
